From: "Rui Huang" <vowstar@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: app-text/libspelling/
Date: Sat, 17 Feb 2024 02:40:14 +0000 (UTC) [thread overview]
Message-ID: <1708130330.d3c481070a5c47c32a77a0044df68fe18e730aa3.vowstar@gentoo> (raw)
commit: d3c481070a5c47c32a77a0044df68fe18e730aa3
Author: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sat Feb 17 00:14:36 2024 +0000
Commit: Rui Huang <vowstar <AT> gmail <DOT> com>
CommitDate: Sat Feb 17 00:38:50 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d3c48107
app-text/libspelling: new package, add 0.2.0
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>
app-text/libspelling/Manifest | 1 +
app-text/libspelling/libspelling-0.2.0.ebuild | 59 +++++++++++++++++++++++++++
app-text/libspelling/metadata.xml | 15 +++++++
3 files changed, 75 insertions(+)
diff --git a/app-text/libspelling/Manifest b/app-text/libspelling/Manifest
new file mode 100644
index 0000000000..86ad005039
--- /dev/null
+++ b/app-text/libspelling/Manifest
@@ -0,0 +1 @@
+DIST libspelling-0.2.0.tar.bz2 45591 BLAKE2B 5fefe443d9f492d1d84e41eaba74065eab8a0b1d62b5bb292f221b4af02832dc0114d801cd08e6b9ef3c905f27da524f3331b64e7726e8138e665dfd512ac7ab SHA512 3eef6fe3d0ed32d2c7a8da7eab337b4553d5f4dd0a3c3b24dcf3036d4c1218411122bfec3842160581a669e049bee7f3e3c1b86a03cc1de67ae30bb9cab0584f
diff --git a/app-text/libspelling/libspelling-0.2.0.ebuild b/app-text/libspelling/libspelling-0.2.0.ebuild
new file mode 100644
index 0000000000..3948c223f8
--- /dev/null
+++ b/app-text/libspelling/libspelling-0.2.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson vala
+
+DESCRIPTION="A GNOME library for spellchecking"
+HOMEPAGE="https://gitlab.gnome.org/chergert/libspelling"
+SRC_URI="https://gitlab.gnome.org/chergert/${PN}/-/archive/${PV}/${P}.tar.bz2"
+
+LICENSE="LGPL-2.1+"
+SLOT="1"
+KEYWORDS="~amd64"
+IUSE="+enchant gtk-doc vala"
+
+RDEPEND="
+ dev-libs/glib:2
+ >=gui-libs/gtk-4.8:4
+ >=gui-libs/gtksourceview-5.6:5
+ enchant? (
+ app-text/enchant:2
+ dev-libs/icu:=
+ )
+"
+DEPEND="${RDEPEND}
+ vala? (
+ $(vala_depend)
+ >=gui-libs/gtksourceview-5.6:5[vala]
+ )
+"
+BDEPEND="
+ dev-libs/gobject-introspection
+ virtual/pkgconfig
+ gtk-doc? ( dev-util/gi-docgen )
+"
+
+src_prepare() {
+ use vala && vala_setup
+ default
+}
+
+src_configure() {
+ local emesonargs=(
+ $(meson_feature enchant)
+ $(meson_use gtk-doc docs)
+ $(meson_use vala vapi)
+ )
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+
+ if use gtk-doc; then
+ mkdir -p "${ED}"/usr/share/gtk-doc/html/ || die
+ mv "${ED}"/usr/share/doc/${PN}-${SLOT} "${ED}"/usr/share/gtk-doc/html/ || die
+ fi
+}
diff --git a/app-text/libspelling/metadata.xml b/app-text/libspelling/metadata.xml
new file mode 100644
index 0000000000..f3aeb7c8da
--- /dev/null
+++ b/app-text/libspelling/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>cyber+gentoo@sysrq.in</email>
+ <name>Anna</name>
+ </maintainer>
+ <upstream>
+ <doc>https://chergert.pages.gitlab.gnome.org/libspelling/libspelling-1/</doc>
+ <remote-id type="gnome-gitlab">chergert/libspelling</remote-id>
+ </upstream>
+ <use>
+ <flag name="enchant">Enable spellchecking using <pkg>app-text/enchant</pkg></flag>
+ </use>
+</pkgmetadata>
next reply other threads:[~2024-02-17 2:40 UTC|newest]
Thread overview: 4+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-02-17 2:40 Rui Huang [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-03-22 0:14 [gentoo-commits] repo/proj/guru:master commit in: app-text/libspelling/ Julien Roy
2024-12-04 14:56 David Roman
2025-01-16 19:15 [gentoo-commits] repo/proj/guru:dev " David Roman
2025-01-17 9:41 ` [gentoo-commits] repo/proj/guru:master " David Roman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1708130330.d3c481070a5c47c32a77a0044df68fe18e730aa3.vowstar@gentoo \
--to=vowstar@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox